<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

 <xsl:output method="html"/>

 <xsl:template match="page">
   <xsl:apply-templates/>
 </xsl:template>

 <xsl:template match="html">
  <xsl:value-of disable-output-escaping="yes" select="text()" />
 </xsl:template>

 <xsl:template match="page/title">
  <h1><xsl:apply-templates/></h1>
 </xsl:template>

 <xsl:template match="description">
  <p><xsl:apply-templates/></p>
 </xsl:template>

 <xsl:template match="file">
  <xsl:apply-templates/>
 </xsl:template>

 <xsl:template match="file/name">
  <h2>
   <xsl:apply-templates/>
  </h2>
 </xsl:template>
 <xsl:template match="file/description">
  <xsl:apply-templates/>
  <br/>
 </xsl:template>

 <xsl:template match="file/fn_list">
  <table>
   <xsl:apply-templates/>
  </table>
 </xsl:template>

 <xsl:template match="fn">
  <tr>
   <xsl:apply-templates/>
  </tr>
 </xsl:template>

 <xsl:template match="fn/name">
  <td><span style="font-family: monospace; font-size: 100%">
   <xsl:apply-templates/>
  </span></td>
 </xsl:template>

 <xsl:template match="fn/description">
  <td><i>
   <xsl:apply-templates/>
  </i></td>
 </xsl:template>

 <xsl:template match="c">
  <span style="font-family: monospace; font-size: 100%">
   <xsl:apply-templates/>
  </span>
 </xsl:template>

</xsl:stylesheet>
